/*--------------------------------------------------------------
## Miscellaneous
--------------------------------------------------------------*/
.site-overlay {
  cursor: url('../images/close.png') 16 16, default;
  background: transparent;
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  visibility: hidden;
  opacity: 0;
  transition: all 0.3s linear;
  -webkit-transition: all 0.3s linear;
  -moz-transition: all 0.3s linear;
  -o-transition: all 0.3s linear;
  -ms-transition: all 0.3s linear;
  z-index: -1;
}

.dc-bgdark .elementor-drop-cap span {
  background: #1a1a1a;
  color: #fff;
}

.wpcf7 .main-form .font14 {
  margin-bottom: 24px;
}

.wpcf7 .main-form input,
.wpcf7 .main-form textarea {
  width: 100%;
  background: #fff;
}

.wpcf7 .main-form input::placeholder,
.wpcf7 .main-form textarea::placeholder {
  text-transform: uppercase;
}

.wpcf7 .main-form button {
  margin-top: 15px;
}

.wpcf7 .main-form button:before,
.wpcf7 .main-form button:after {
  display: none;
}

.wpcf7 .main-form button:hover {
  background: #fff;
  color: #1a1a1a;
  border-color: #1a1a1a;
}

.wpcf7 .main-form p {
  margin-bottom: 15px;
}

.wpcf7 .main-form p:last-child {
  margin-bottom: 0;
}

.wpcf7 div.wpcf7-response-output {
  margin: 20px 0 0;
}

.wpcf7 span.wpcf7-not-valid-tip {
  display: none;
}

.wpcf7 .wpcf7-not-valid {
  border-color: #f00;
}

.wpcf7 div.wpcf7-validation-errors,
.wpcf7 div.wpcf7-acceptance-missing {
  background: #f7e700;
  color: #1a1a1a;
}

.grid-lines {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 50%;
  top: 0;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
  z-index: 0;
  pointer-events: none;
  user-select: none;
}

.grid-lines .g-line-vertical {
  height: 100%;
  display: block;
  width: 1px;
  background-color: #fff;
  left: 90px;
  top: 0;
  position: absolute;
}

.grid-lines .g-line-horizontal {
  height: 1px;
  display: block;
  width: 100%;
  background-color: #fff;
  top: 90px;
  left: 0;
  position: absolute;
}

.grid-lines .line-center {
  left: 50%;
}

.grid-lines .line-right {
  left: auto;
  right: 90px;
}

.grid-lines .line-bottom {
  bottom: 90px;
  top: auto;
}

.has-lines-horizontal-bottom .grid-lines .line-top {
  display: none;
}

.has-lines-horizontal-top .grid-lines .line-bottom {
  display: none;
}

.no-lines-vertical-center .grid-lines .line-center {
  display: none;
}

.ot-social-vertical {
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.ot-social-vertical ul {
  line-height: 90px;
}

.ot-social-vertical ul li.elementor-icon-list-item {
  margin-bottom: 40px;
  writing-mode: vertical-rl;
  letter-spacing: 0.75px;
  -webkit-transform: rotate(-180deg);
  -ms-transform: rotate(-180deg);
  transform: rotate(-180deg);
}

.ot-social-vertical ul li.elementor-icon-list-item:last-child {
  margin-bottom: 0;
}

.rs-layer .btn-details {
  color: #fff;
}

.rs-layer .btn-details:before {
  background: #505050;
}

.dark-scheme .wpcf7 .main-form input,
.dark-scheme .wpcf7 .main-form textarea {
  background: transparent;
}

.dark-scheme .wpcf7 .main-form button {
  background: #1a1a1a;
  color: #fff;
  border-color: #1a1a1a;
}

.dark-scheme .wpcf7 .main-form button:hover {
  background: #fff;
  color: #1a1a1a;
  border-color: #fff;
}

@media (max-width: 600px) {
  .rs-layer .btn-details:before {
    width: 16px;
    height: 7px;
    bottom: 0;
    left: -5px;
  }

  .rs-layer .btn-details:hover:before {
    width: calc(100% + 10px);
  }

  .rs-layer.octf-btn:before,
  .rs-layer.octf-btn:after {
    display: none;
  }
}

@media (max-width: 1024px) {
  .grid-lines .g-line-vertical {
    left: 0;
  }

  .grid-lines .g-line-vertical.line-right {
    right: 0;
    left: auto;
  }

  .grid-lines .g-line-vertical.line-center {
    left: 50%;
  }
}

@media (max-width: 991px) {
  .ot-gallery .gallery-item:nth-child(even) .gallery-icon {
    padding-top: 0;
  }
}

@media (max-width: 767px) {
  .ot-social-vertical {
    display: none;
  }
}

body .elementor-widget:not(:last-child) {
  margin-bottom: 0;
}

div.elementor-widget-heading .elementor-heading-title {
  color: #1a1a1a;
  font-weight: 400;
  font-family: "Titillium Web", sans-serif;
}

.dark-scheme .elementor-widget-heading .elementor-heading-title {
  color: #fff;
}

.elementor .elementor-section.elementor-section-boxed>.elementor-container {
  padding: 0 15px;
}

.elementor-default .elementor-widget-text-editor,
.elementor-default .elementor-icon-list-text {
  font-family: "Raleway", sans-serif;
  color: #555555;
  transition: all 0.3s linear;
  -webkit-transition: all 0.3s linear;
  -moz-transition: all 0.3s linear;
  -o-transition: all 0.3s linear;
  -ms-transition: all 0.3s linear;
}

.elementor-default.dark-scheme .elementor-widget-text-editor,
.elementor-default.dark-scheme .elementor-icon-list-text {
  color: #a3a3a3;
}

.elementor_library-template-default .post-author-box,
.elementor_library-template-default .post-navigation {
  display: none;
}

.elementor-default .elementor-widget-text-editor p:last-child {
  margin-bottom: 0;
}

.elementor .elementor-section>.elementor-container>.elementor-row {
  width: auto;
  flex: 100%;
  min-width: 100%;
}

.elementor-section>.elementor-column-gap-default>.elementor-row>.elementor-column>.elementor-element-populated,
.elementor-section>.elementor-column-gap-narrow>.elementor-row>.elementor-column>.elementor-element-populated,
.elementor-section>.elementor-column-gap-extended>.elementor-row>.elementor-column>.elementor-element-populated {
  padding-top: 0;
  padding-bottom: 0;
}

.elementor .elementor-section>.elementor-column-gap-extended>.elementor-row {
  margin-left: -15px;
  margin-right: -15px;
}

.elementor .elementor-section>.elementor-column-gap-default>.elementor-row {
  margin-left: -10px;
  margin-right: -10px;
}

.elementor .elementor-section>.elementor-column-gap-narrow>.elementor-row {
  margin-left: -5px;
  margin-right: -5px;
}

.elementor .elementor-section-full_width:not(.elementor-inner-section)>.elementor-column-gap-extended>.elementor-row {
  margin-left: 0;
  margin-right: 0;
}

.page-template-template-homepage .elementor-top-section.elementor-section-full_width>.elementor-column-gap-default>.elementor-row,
.page-template-template-homepage .elementor-top-section.elementor-section-full_width>.elementor-column-gap-narrow>.elementor-row,
.page-template-template-homepage .elementor-top-section.elementor-section-full_width>.elementor-column-gap-extended>.elementor-row,
.page-template-template-homepage .elementor-top-section.elementor-section-full_width>.elementor-column-gap-wide>.elementor-row,
.page-template-template-homepage .elementor-top-section.elementor-section-full_width>.elementor-column-gap-wider>.elementor-row,
.page-template-template-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-default>.elementor-row,
.page-template-template-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-narrow>.elementor-row,
.page-template-template-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-extended>.elementor-row,
.page-template-template-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-wide>.elementor-row,
.page-template-template-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-wider>.elementor-row,
.page-template-template-home-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-default>.elementor-row,
.page-template-template-home-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-narrow>.elementor-row,
.page-template-template-home-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-extended>.elementor-row,
.page-template-template-home-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-wide>.elementor-row,
.page-template-template-home-full-width .elementor-top-section.elementor-section-full_width>.elementor-column-gap-wider>.elementor-row {
  margin-left: 0;
  margin-right: 0;
}

.ot-flex-column-horizontal .elementor-widget-wrap {
  flex-wrap: nowrap;
}

.ot-flex-column-horizontal .elementor-widget-wrap>.elementor-widget {
  display: flex;
  width: auto;
}

.elementor-section.ml_0 .elementor-container {
  margin-left: 0;
}

@media (max-width: 767px) {
  .elementor .elementor-hidden-phone {
    display: none;
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  .elementor .elementor-hidden-tablet {
    display: none;
  }
}

@media (min-width: 1025px) {
  .elementor .elementor-hidden-desktop {
    display: none;
  }
}

@media (max-width: 767px) {

  .page-template-template-homepage .elementor-top-section:not(.elementor-section-full_width)>.elementor-container,
  .page-template-template-full-width .elementor-top-section:not(.elementor-section-full_width)>.elementor-container,
  .page-template-template-home-full-width .elementor-top-section:not(.elementor-section-full_width)>.elementor-container {
    padding-left: 15px;
    padding-right: 15px;
  }

  .page-template-template-homepage .elementor-top-section:not(.elementor-section-full_width)>.elementor-column-gap-no,
  .page-template-template-full-width .elementor-top-section:not(.elementor-section-full_width)>.elementor-column-gap-no,
  .page-template-template-home-full-width .elementor-top-section:not(.elementor-section-full_width)>.elementor-column-gap-no {
    padding-left: 0;
    padding-right: 0;
  }
}

@media (min-width: 768px) {
  .elementor .elementor-section.elementor-section-boxed>.elementor-container {
    max-width: 750px;
  }

  .elementor-element .container {
    width: 720px;
    padding: 0;
  }
}

@media (min-width: 992px) {
  .elementor .elementor-section.elementor-section-boxed>.elementor-container {
    max-width: 970px;
  }

  .elementor-element .container {
    width: 940px;
    padding: 0;
  }
}

@media (min-width: 1230px) {
  .elementor .elementor-section.elementor-section-boxed>.elementor-container {
    max-width: 1200px;
  }

  .elementor-element .container {
    width: 1170px;
    padding: 0;
  }
}

@media (min-width: 1230px) {
  .elementor .elementor-section:not(.elementor-section-full_width)>.elementor-column-gap-wide>.elementor-row {
    margin-left: -20px;
    margin-right: -20px;
  }

  .elementor .elementor-section:not(.elementor-section-full_width)>.elementor-column-gap-wide>.elementor-row>.elementor-column>.elementor-element-populated {
    padding-left: 20px;
    padding-right: 20px;
  }

  .elementor .elementor-section:not(.elementor-section-full_width)>.elementor-column-gap-wider>.elementor-row {
    margin-left: -30px;
    margin-right: -30px;
  }

  .elementor .elementor-section:not(.elementor-section-full_width)>.elementor-column-gap-wider>.elementor-row>.elementor-column>.elementor-element-populated {
    padding-left: 30px;
    padding-right: 30px;
  }
}

/*--------------------------------------------------------------
  ## Search
  --------------------------------------------------------------*/
.octf-cta-header {
  position: relative;
  height: 100%;
  display: flex;
  align-items: center;
}

.octf-cta-header .toggle_search {
  cursor: pointer;
}

.octf-cta-header .toggle_search i {
  color: #fff;
  text-align: center;
  display: inline-block;
  vertical-align: middle;
  min-width: 22px;
  transition: all 0.3s linear;
  -webkit-transition: all 0.3s linear;
  -moz-transition: all 0.3s linear;
  -o-transition: all 0.3s linear;
  -ms-transition: all 0.3s linear;
}

.octf-cta-header .toggle_search i:before,
.octf-cta-header .toggle_search i:after {
  font-size: 22px;
}

.octf-cta-header .toggle_search i.ot-flaticon-close-1:before {
  font-size: 18px;
}

.octf-cta-header .h-search-form-field {
  position: absolute;
  z-index: 99;
  top: -webkit-calc(100% + 10px);
  top: expression(100% + 10px);
  top: -moz-calc(100% + 10px);
  top: -o-calc(100% + 10px);
  top: calc(100% + 10px);
  right: -30px;
  width: 340px;
}

.octf-cta-header .h-search-form-field .h-search-form-inner {
  padding: 20px 35px 34px;
  background-color: #2a2a2a;
  box-shadow: 3px 3px 15px 0 rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 3px 3px 15px 0 rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 3px 3px 15px 0 rgba(0, 0, 0, 0.1);
}

.octf-cta-header .h-search-form-field .h-search-form-inner input {
  background: transparent;
  color: #fff;
  font-weight: 400;
  border-color: rgba(255, 255, 255, 0.1);
}

.octf-cta-header .h-search-form-field .h-search-form-inner button {
  color: #fff;
}

.octf-cta-header .h-search-form-field .h-search-form-inner button i:before {
  font-weight: normal;
}

.octf-cta-header .h-search-form-field .h-search-form-inner ::-webkit-input-placeholder {
  /* Edge */
  color: #fff;
}

.octf-cta-header .h-search-form-field .h-search-form-inner :-ms-input-placeholder {
  /* Internet Explorer */
  color: #fff;
}

.octf-cta-header .h-search-form-field .h-search-form-inner ::placeholder {
  color: #fff;
}

.octf-cta-header .h-search-form-field.show {
  -webkit-animation: searchSlideUp 0.5s cubic-bezier(0.23, 1, 0.32, 1) both;
  animation: searchSlideUp 0.5s cubic-bezier(0.23, 1, 0.32, 1) both;
}

@-webkit-keyframes searchSlideUp {
  from {
    -webkit-transform: translateY(10%);
    transform: translateY(10%);
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@keyframes searchSlideUp {
  from {
    -webkit-transform: translateY(10%);
    transform: translateY(10%);
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@media only screen and (max-width: 600px) {
  .octf-cta-header .h-search-form-field {
    right: -65px;
  }
}

/*--------------------------------------------------------------
  ## Mini Cart
  --------------------------------------------------------------*/
.octf-cart {
  position: relative;
}

.site-header-cart {
  position: absolute;
  visibility: hidden;
  opacity: 0;
  z-index: 10;
  top: -webkit-calc(100% + 10px);
  top: expression(100% + 10px);
  top: -moz-calc(100% + 10px);
  top: -o-calc(100% + 10px);
  top: calc(100% + 10px);
  right: -30px;
  background: #2a2a2a;
  color: #fff;
  width: 342px;
  padding: 35px;
  box-shadow: 3px 3px 15px 0 rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 3px 3px 15px 0 rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 3px 3px 15px 0 rgba(0, 0, 0, 0.1);
  -webkit-transform: translateY(30px);
  -ms-transform: translateY(30px);
  transform: translateY(30px);
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
}

.site-header-cart .woocommerce-mini-cart__buttons {
  margin-bottom: -15px;
}

.site-header-cart .widget_shopping_cart_content {
  text-align: left;
}

.octf-cart:hover .site-header-cart {
  visibility: visible;
  opacity: 1;
  -webkit-transform: translateY(0px);
  -ms-transform: translateY(0px);
  transform: translateY(0px);
}

.octf-cart:hover .site-header-cart:before {
  content: "";
  position: absolute;
  height: 10px;
  width: 100%;
  top: -10px;
  left: 0px;
}

.cart-contents {
  position: relative;
  display: inline-block;
  color: #fff;
}

.cart-contents:hover {
  color: #fff;
}

.cart-contents i:before {
  font-size: 22px;
}

.cart-contents .count {
  position: absolute;
  bottom: -3px;
  left: -12px;
  width: 22px;
  height: 22px;
  line-height: 22px;
  background: #1a1a1a;
  color: #fff;
  text-align: center;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  font-size: 11px;
  font-family: "Titillium Web", sans-serif;
}

@media only screen and (max-width: 1024px) {
  .site-header-cart {
    display: none;
  }
}

/*--------------------------------------------------------------
  ## Menu Mobie
  --------------------------------------------------------------*/
.header-mobile {
  display: none;
}

.header-mobile .is-stuck {
  background-color: #1a1a1a;
}

.header-mobile .is-stuck .cart-contents .count {
  background: #fff;
  color: #1a1a1a;
}

.mmenu-toggle button {
  background: none;
  border: none;
  outline: none;
  padding: 0;
  color: #fff;
}

.mmenu-toggle button i:before {
  font-size: 22px;
}

.mmenu-wrapper {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  width: 310px;
  height: 100vh;
  background: #2a2a2a;
  overflow-x: hidden;
  z-index: 9999;
  -webkit-transform: translateX(100%);
  -ms-transform: translateX(100%);
  transform: translateX(100%);
  transition: all 0.3s linear;
  -webkit-transition: all 0.3s linear;
  -moz-transition: all 0.3s linear;
  -o-transition: all 0.3s linear;
  -ms-transition: all 0.3s linear;
}

.mmenu-wrapper.mmenu-open {
  -webkit-transform: translateX(0);
  -ms-transform: translateX(0);
  transform: translateX(0);
}

.mmenu-wrapper .mmenu-inner {
  top: 0;
  height: 100%;
  width: 327px;
  padding: 20px 52px 35px 35px;
  overflow-x: hidden;
  overflow-y: auto;
  box-sizing: border-box;
}

.mmenu-wrapper .mmenu-close {
  display: block;
  margin-bottom: 10px;
  color: #fff;
}

.mmenu-wrapper .mobile_mainmenu {
  margin: 0;
  padding: 0;
}

.mmenu-wrapper .mobile-nav {
  min-width: 240px;
}

.mmenu-wrapper .mobile_mainmenu ul {
  position: relative;
  margin: 0;
  padding: 0;
  margin-left: 15px;
}

.mmenu-wrapper .mobile_mainmenu ul {
  display: none;
}

.mmenu-wrapper .mobile_mainmenu li {
  position: relative;
  list-style: none;
}

.mmenu-wrapper .mobile_mainmenu li a {
  padding: 9px 30px 9px 0;
  display: block;
  font-size: 14px;
  color: #fff;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.mmenu-wrapper .mobile_mainmenu>li.menu-item-has-children .arrow {
  color: #fff;
  position: absolute;
  display: block;
  right: 0;
  top: 0;
  cursor: pointer;
  width: 34px;
  height: auto;
  padding: 7px 12px 7px 0;
  line-height: inherit;
  text-align: right;
  box-sizing: border-box;
}

.mmenu-wrapper .mobile_mainmenu>li.menu-item-has-children .arrow i {
  color: #9397a7;
  display: inline-block;
  line-height: 1;
  -webkit-transition: transform 0.3s ease-in-out;
  -moz-transition: transform 0.3s ease-in-out;
  transition: transform 0.3s ease-in-out;
}

.mmenu-wrapper .mobile_mainmenu>li.menu-item-has-children .arrow i:before {
  font-size: 10px;
  font-weight: 600;
}

.mmenu-wrapper .mobile_mainmenu>li.menu-item-has-children .arrow.active i {
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  transform: rotate(90deg);
}

.mmenu-wrapper.on-left {
  right: auto;
  left: 0;
  -webkit-transform: translateX(-100%);
  -ms-transform: translateX(-100%);
  transform: translateX(-100%);
}

.mmenu-wrapper.on-left.mmenu-open {
  -webkit-transform: translateX(0);
  -ms-transform: translateX(0);
  transform: translateX(0);
}

.mmenu-wrapper.on-left .mmenu-close {
  text-align: right;
}

.mmenu-wrapper.on-left .mmenu-close i:before {
  content: "";
}

.mmenu-active .mmenu-overlay {
  background: rgba(0, 0, 0, 0.7);
  visibility: visible;
  opacity: 1;
  z-index: 9998;
}

@media only screen and (max-width: 1024px) {
  .header-mobile {
    display: block;
  }

  .admin-bar section:not(.is-stuck) .mmenu-wrapper {
    top: 32px;
  }
}

@media only screen and (max-width: 782px) {
  .admin-bar section:not(.is-stuck) .mmenu-wrapper {
    top: 46px;
  }
}